collisions = {}
myWorld:addCollisionClass("Solid")

function block(x, y, width, height)
local collision = {}
collision.collider = myWorld:newRectangleCollider(x, y, width, height)
collision.collider:setType("static")
collision.collider:setCollisionClass("Solid")
collision.collider:setObject(collision)
table.insert(collisions, collision)
end

--Setup
for i, obj in pairs(map.layers["COL"].objects) do
  block(obj.x, obj.y, obj.width, obj.height)
end

--math functions
function distanceBetween(x1 ,y1 ,x2 ,y2)
return math.sqrt((y2 - y1)^2 + (x2 - x1)^2)
end
